#include <gtk/gtk.h>

static void
activate (GtkApplication *app,
          gpointer        user_data)
{
  GtkWidget *window;
  GtkWidget *img;
  //GFile *chaz=g_file_new_for_path("chaz.png");

  window = gtk_application_window_new (app);
  gtk_window_set_title (GTK_WINDOW (window), "Chaz");
  gtk_window_set_default_size (GTK_WINDOW (window), 512, 512);
  gtk_window_set_resizable(GTK_WINDOW(window), false);

  img = gtk_picture_new_for_filename("chaz.png");
  gtk_window_set_child (GTK_WINDOW (window), img);

  gtk_window_present (GTK_WINDOW (window));
}

int
main (int    argc,
      char **argv)
{
  GtkApplication *app;
  int status;

  app = gtk_application_new ("org.gtk.example", G_APPLICATION_DEFAULT_FLAGS);
  g_signal_connect (app, "activate", G_CALLBACK (activate), NULL);
  status = g_application_run (G_APPLICATION (app), argc, argv);
  g_object_unref (app);

  return status;
}
